%define major 0
%define libname %mklibname ogg %{major}
%define develname %mklibname ogg -d
%define staticname %mklibname ogg -sd

Summary:	Ogg Bitstream Library
Name:		libogg
Version:	1.3.0
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
Patch1:		libogg-1.0-lib64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libogg-devel = %{version}-%{release}
Obsoletes:	%{mklibname ogg 0 -d}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{staticname}
Summary: Static library for %{name}
Group: Development/C
Requires: %{develname} = %{version}-%{release}
Provides: libogg-static-devel = %{version}-%{release}

%description -n %{staticname}
This package contains the static library for %name.

%prep
%setup -q

%build
sed -i "s/-O20/$CFLAGS/" configure
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/libogg-%{version}/

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS CHANGES README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/*.html doc/*.png doc/*.txt
%{_includedir}/ogg
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 1.3.0-1.mga2
+ Revision: 141193
- new release
- split out static pkg

* Sat Apr 16 2011 pterjan <pterjan> 1.2.2-1.mga1
+ Revision: 86628
- Update to 1.2.2
- Use the .xz tarball

* Wed Jan 12 2011 blino <blino> 1.2.0-3.mga1
+ Revision: 6641
- remove old ldconfig scriptlets
- imported package libogg

